package com.gci.boot.enums;

import cn.hutool.core.collection.ListUtil;

import java.util.List;


public enum AlarmCountType {
    /**
     * 统计异常
     */
    BATTERY_ENERGY("电池电量异常", ListUtil.toList(AlarmType.BATTERY_INCONSISTENCY_ALARM,
            AlarmType.BATTERY_HIGH_TEMPERATURE_ALARM)),
    SOC("SOC异常",ListUtil.toList(AlarmType.LOW_SOC_ALARM,
            AlarmType.HIGH_SOC_ALARM,
            AlarmType.SOC_JUMP_ALARM)),
    battery_voltage("电池电压异常",ListUtil.toList(AlarmType.OVER_VOLTAGE_SINGLE_BATTERY_ALARM,
            AlarmType.UNDER_VOLTAGE_SINGLE_BATTERY_ALARM)),
    MOTOR_CONTROLLER_TEMPERATURE("电机控制器温度异常",ListUtil.toList(AlarmType.MOTOR_CONTROLLER_TEMPERATURE_ALARM)),
    DRIVE_MOTOR_TEMPERATURE("电机温度异常",ListUtil.toList(AlarmType.DRIVE_MOTOR_TEMPERATURE_ALARM)),
    DC("DC-DC异常",ListUtil.toList(AlarmType.DC_DC_TEMPERATURE_ALARM,
            AlarmType.DC_DC_STATUS_ALARM));
    private final String name;
    private final List<AlarmType> alarmTypeList;

    AlarmCountType(String name, List<AlarmType> alarmTypeList) {
        this.name = name;
        this.alarmTypeList = alarmTypeList;
    }

    public String getName() {
        return name;
    }

    public List<AlarmType> getAlarmTypeList() {
        return alarmTypeList;
    }
}
